From 2bcbc6ecf97c003e53bfae3d4abab0e8c15d12b8 Mon Sep 17 00:00:00 2001
From: Joel Grunbaum <joelgrun@gmail.com>
Date: Sun, 29 Nov 2020 11:52:50 +0000
Subject: [PATCH] fixed comments for change

---
 main.sh |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

diff --git a/main.sh b/main.sh
index 72a3cc1..c460d78 100755
--- a/main.sh
+++ b/main.sh
@@ -51,9 +51,6 @@
 		return 2
 	fi
 
-	#remove old versions before build
-#	rm -f *$1*.tar.*
-
 	#make and force rebuild if is git package
 	# Mictosoft fonts have problems with checksums and need a seperate argument
 	if [[ "$1" == "ttf-ms-win10" ||
@@ -64,18 +61,20 @@
 	else
 		makepkg -s --noconfirm $([[ $CLEAN == "Y" ]] && echo "-c") $([[ $SIGN == "Y" ]] && echo "--sign --key $KEY") $([[ "$2" == "-f" ]] && echo -f) 2>&1
 	fi
-	if [[ $? != 0  || $? == 13 ]]; then
+	if [[ $? != 0  && $? != 13 ]]; then
 		#Register error
 		echo $1 >> $ERRORFILE
 		return 1
 	fi
 
-	#Get build artifact names from PKGBUILD and build artifacts
-	#Remove duplicates from the list
+	#Remove old packages from build directory
 	source PKGBUILD
 	srcdir="$(pwd)/src"
 	ver=$(pkgver)
-	find . -mindepth 1 -maxdepth 1 -type f \( -name "*.pkg.tar.*" -o -name "*.src.tar.*" \) -not -name "*$ver-$pkgrel*"
+	find . -mindepth 1 -maxdepth 1 -type f \( -name "*.pkg.tar.*" -o -name "*.src.tar.*" \) -not -name "*$ver-$pkgrel*" -delete
+	
+	#Get build artifact names from PKGBUILD and build artifacts
+	#Remove duplicates from the list
 	ipkgs=()
 	for i in ${pkgname[@]}; do
 		#pkgs+=("$i-$pkgver-$pkgrel")

--
Gitblit v1.9.3